PCAP_DUMP_FLUSH(3PCAP)

NAME
pcap_dump_flush - flush to a savefile packets dumped

SYNOPSIS
#include <pcap/pcap.h>

int pcap_dump_flush(pcap_dumper_t *p);

DESCRIPTION
pcap_dump_flush() flushes the output buffer to the ``savefile,'' so that any packets written with pcap_dump() but not yet written to the ``savefile'' will be written.

RETURN VALUE
pcap_dump_flush() returns 0 on success and -1 on failure.

SEE ALSO
pcap(3PCAP), pcap_dump_open(3PCAP), pcap_dump(3PCAP)